using fbblTipi;

namespace fbblSchemaAziendale
{
    public class Assunzione : Telefono
    {
        private string CodiceFiscale;
        private string Matricola;
        private string Livello;
        private string Mansione;
        private int Retribuzione;

        public Assunzione(string Nome, string Cognome, string Sesso, string Via, string Numero,
                          string Citta, string Cap, string Provincia, string TelefonoFisso,string CodiceFiscale,
                          string Matricola,string Livello,string Mansione,int Retribuzione)
            : base(Nome, Cognome, Sesso, Via, Numero, Citta, Cap, Provincia,TelefonoFisso)
        {
            this.CodiceFiscale = CodiceFiscale;
            this.Matricola = Matricola;
            this.Livello = Livello;
            this.Mansione = Mansione;
            this.Retribuzione = Retribuzione;
        }

        public string get_CodiceFiscale()
        {
            return this.CodiceFiscale;
        }

        public string get_Matricola()
        {
            return this.Matricola;
        }

        public string get_Livello()
        {
            return this.Livello;
        }

        public string get_Mansione()
        {
            return this.Mansione;
        }

        public int get_Retribuzione()
        {
            return this.Retribuzione;
        }

        new public Liste stampa()
        {
            Liste MiaLista = base.stampa(); // eseguo la stampa della classe padre Nominativo

            MiaLista.ListaDiStringhe.Add(this.get_CodiceFiscale());
            MiaLista.ListaDiStringhe.Add(this.get_Matricola());
            MiaLista.ListaDiStringhe.Add(this.get_Livello());
            MiaLista.ListaDiStringhe.Add(this.get_Mansione());
            MiaLista.ListaDiStringhe.Add(this.get_Retribuzione().ToString());

            return MiaLista;
        }
    }
}
